Subject: Re: Is there a way to trim old SHAs from a git tree (so it's not so large)?

From: Timur Tabi <[email-masked]>
Date: Tue, 21 Nov 2006 17:12:21 -0600

Johannes Schindelin wrote:
> Hi,
> 
> On Tue, 21 Nov 2006, Timur Tabi wrote:
> 
>> I think you mean git-clone.sh instead of git-clone.
> 
> No. If "git clone" does not work for you, the compilation failed. Do you 
> run git in-place? Then you _have_ to set
> 
> 	bindir=$(pwd)
> 
> in config.mak.

When I tried that, make spits out this:

GIT_VERSION = 1.4.4.ge1173-dirty
     * new build flags or prefix
(cd perl && /usr/bin/perl Makefile.PL \
         PREFIX='/home/b04825')
Writing Makefile for Git

So I tried this:

make configure
./configure --prefix=$PWD
make

and got this:

     * new build flags or prefix
(cd perl && /usr/bin/perl Makefile.PL \
         PREFIX='/temp/git')
Writing Makefile for Git

which is better, but git-clone still doesn't work:

$ ./git clone --depth 1 git://127.0.0.1/temp/u-boot-83xx
Failed to run command 'clone': Success

$ ./git-clone --depth 1 git://127.0.0.1/temp/u-boot-83xx
usage: git-fetch-pack [--all] [-q] [-v] [-k] [--thin] [--exec=upload-pack] 
[host:]directory <refs>...
fetch-pack from 'git://127.0.0.1/temp/u-boot-83xx' failed.

In both of these cases, the git-daemon process doesn't log anything.

I even tried "export GIT_DIR=$PWD", but that didn't do anything.

-- 
Timur Tabi